> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# List

GET https://restapi.ordergroove.com/payments/

Returns a list of all customer payment methods available to the merchant.

Listing payments for more than one customer requires Application API Scope with the Bulk Operations permission.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/payments/list

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Query parameters

- `customer` (string, optional) — Customer ID

## Response

### 200

200

- `customer` (string, optional)
- `billing_address` (string, optional)
- `cc_number_ending` (string, optional, nullable)
- `public_id` (string, optional)
- `label` (string, optional, nullable)
- `token_id` (string, optional)
- `cc_holder` (string, optional, nullable)
- `cc_type` (integer, optional, default: 0)
- `cc_exp_date` (string, optional)
- `payment_method` (string, optional)
- `live` (boolean, optional, default: true)
- `created` (string, optional)
- `last_updated` (string, optional)

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Examples

**Response**

```json
{
  "customer": "00026001",
  "billing_address": "c4cfc106ccc411e8ada3bc764e101db1",
  "cc_number_ending": null,
  "public_id": "c4d1d4e6ccc411e8ada3bc764e101db1",
  "label": null,
  "token_id": "5CA94EAA-AADE-4918-ABEE-8C8531411BAE",
  "cc_holder": null,
  "cc_type": 1,
  "cc_exp_date": "02/2020",
  "payment_method": "credit card",
  "live": false,
  "created": "2018-10-10 14:43:32",
  "last_updated": "2018-10-10 14:43:32"
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/payments/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/payments/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/payments/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/payments/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/payments/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/payments/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/payments/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/payments/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```